﻿(function () {
    tinymce.create('tinymce.plugins.myPlugin', {
        init: function (ed, url) {
            ed.addButton('docageformbutton', {
                title: 'Insert Docage Form',
                image: url + '/../img/docageformbutton.png',
                text: '',
                onclick: function () {
                    // Open a modal dialog
                    ed.windowManager.open({
                        title: 'Insert Docage Form',
                        body: [
                            { type: 'textbox', name: 'docageFormId', label: 'Docage Form Id' },
                            { type: 'textbox', name: 'docageFormWidth', label: 'iFrame width', value: '100%' },
                            { type: 'textbox', name: 'docageFormHeight', label: 'iFrame height', value: '700' }
                        ],
                        onsubmit: function (e) {
                            // Insert content when the window form is submitted
                            ed.insertContent('[docageform id="' + e.data.docageFormId + '" width="' + e.data.docageFormWidth + '" height="' + e.data.docageFormHeight+'"]');
                        }
                    });
                }
            });
        },
        createControl: function (n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('docageformbutton', tinymce.plugins.myPlugin);
})();